Summary:	KDE Digital Mixer
Name:		kmix
Version:	15.03.97
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/multimedia/kmix/
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kmix-4.9.2-nodisplay.patch

BuildRequires:	extra-cmake-modules
BuildRequires:	kf5init-devel
BuildRequires:	kde5-macros
BuildRequires:	qt5-devel
BuildRequires:  kf5dbusaddons-devel
BuildRequires:  kf5xmlgui-devel
BuildRequires:  kf5globalaccel-devel
BuildRequires:  kf5configwidgets-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:  kf5bookmarks-devel
BuildRequires:  kf5config-devel
BuildRequires:  kf5parts-devel
BuildRequires:  kf5iconthemes-devel
BuildRequires:  kf5completion-devel
BuildRequires:  kf5texteditor-devel
BuildRequires:  kf5windowsystem-devel
BuildRequires:  kf5notifications-devel
BuildRequires:  %{_lib}kf5kiowidgets5
BuildRequires:  kf5kio-devel
BuildRequires:  kf5coreaddons-devel
BuildRequires:  kf5solid-devel
BuildRequires:	kf5attica-devel
BuildRequires:	kf5auth-devel
BuildRequires:	kf5baloo-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5emoticons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	plasma5-kwin-devel
BuildRequires:	plasma5-workspace-devel
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libcanberra)
#BuildRequires:	kdelibs4-devel


%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files
%{_kde5_bindir}/kmix
%{_kde5_bindir}/kmixctrl
%{_kde5_bindir}/kmixremote
%{_kde5_iconsdir}/*/*/*/*
%{_kde5_applicationsdir}/kmix.desktop
%{_kde5_services}/kmixctrl_restore.desktop
%{_kde5_services}/kded/kmixd.desktop
%{_kde5_libdir}/libkdeinit5_kmix*
%{_kde5_libdir}/qt5/plugins/libkded_kmixd.so
%{_kde5_autostart}/restore_kmix_volumes.desktop
%{_kde5_autostart}/kmix_autostart.desktop
%{_kde5_datadir}/dbus-1/interfaces/org.kde.kmix.control.xml
%{_kde5_datadir}/dbus-1/interfaces/org.kde.kmix.mixer.xml
%{_kde5_datadir}/dbus-1/interfaces/org.kde.kmix.mixset.xml
%{_kde5_datadir}/kmix/kmixui.rc
%{_kde5_datadir}/kmix/pics/*.png
%{_kde5_datadir}/kmix/profiles/*.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5  \
    -DKMIX_KF5_BUILD=1
%make

%install
%makeinstall_std -C build



